<!doctype html>
<?php
include('siteHeader.php'); // header for the site
?>
	    <H1 align="center">Gym Registration Form</H1>
        <body>
            
            <!-- send form to the handle page -->    
            <form action="handleIndexForm.php" method="post">
                
            <!-- First name text input -->
            <p align="center">First Name: <br><input type="text" name="fName" size="20" maxlength="40"></p> 
            <!-- Last name text input-->
    	    <p align="center">Last Name: <br><input type="text" name="lName" size="20" maxlength="40"></p> 
    	    <!-- Email text input -->
    	    <p align="center">Email Address: <br><input type="email" name="email" size="40" maxlength="60"></p> 
    	    
    	    <!-- Phone number input -->
    	    <p align="center">Phone Number: <br><input type="tel" id="phone" name="phone" pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}"><br>Format: ###-###-####</p>
            
            <!-- Radio buttons -->
            <p align='center'>
                <input type='radio' name='memberStatus' value='New Member'>New Member
                <input type='radio' name='memberStatus' value='Returning Member'>Returning Member
            </p>
            
            <p align="center">Input the date you would like to start your membership:</p>    
            <!-- Drop down menu creation -->    
            <p align="center">
                <select name="month">
                    <option selected="selected">Select Month</option>
                        <?php
                        // array for months
                        $month = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
                        
                        //iterating through items in array to display in drop down using for each loop. Found foreach on w3schools: https://www.w3schools.com/php/php_looping_foreach.asp, and TutorialRepublic: https://www.tutorialrepublic.com/faq/how-to-populate-dropdown-list-with-array-values-in-php.php
                        foreach($month as $item){
                            // need to have the option value portion otherwise items in array don't populate the dropdown
                            echo "<option value='($item)'>$item</option>";
                        }
                        ?>
                </select>
                
                <!-- Drop down to select day -->
                
                <select name="day">
                    <option selected="selected">Select Day</option>
                        <?php
                        // array for days
                        $day = array();
                        // use while loop to populate $day array so I don't have to type out 31 days
                        // $i is the increment var so we're able to add each number to array
                        $i = 1;
                        // while increment is less than 32 it will input a number to the array, resulting in having 1-31 days in the dropdown
                        while ($i < 32){
                            $day[] = $i;
                            $i++;
                        }
                        
                        // foreach to display days in dropdown
                        foreach($day as $item){
                            echo "<option value='($item)'>$item</option>";
                        }
                        ?>
                </select>
                
                
                <!-- Drop down to select year -->
                
                <select name="year">
                    <option selected="selected">Select Year</option>
                        <?php
                        // array for years
                        $year = array("2024", "2025", "2026");
                        
                        foreach($year as $item){
                            echo "<option value='($item)'>$item</option>";
                        }
                        ?>
                </select>  
            </p>
            
            <p align="center">
                <br><br>Reasons for joining the gym:<br>
                <!-- checkbox code -->    
                <input type="checkbox" id="reason1" name="cardio" value="cardio">
                <label for="option1">Cardio</label><br>
                <input type="checkbox" id="reason2" name="weight training" value="weight training">
                <label for="option2">Weight Training</label><br>
                <input type="checkbox" id="reason3" name="pool" value="pool">
                <label for="option3">Pool</label><br>
                <input type="checkbox" id="reason4" name="hot tub" value="hot tub">
                <label for="option4">Hot Tub</label><br>  
                <input type="checkbox" id="reason5" name="sauna" value="sauna">
                <label for="option5">Sauna</label><br>  
                <input type="checkbox" id="reason6" name="other" value="other">
                <label for="option6">Other</label><br>  
            </p>
            
            <!-- Comments textarea -->
            <p align="center">Comments: <br><textarea name="comments" rows="3" cols="40"></textarea></p>
            
            <!-- Submit button -->
            <p align="center"><input type="submit" name="submit" value="Confirm Regisration"></p>
<?php
include('siteFooter.php'); // Footer for the site
?>